Skip to content
GAMPEONCreate
New project

Reports

GET
/v1/moderation/reports
curl --request GET \
--url 'https://api.gampeon.com/v1/moderation/reports?status=open' \
--header 'Authorization: Bearer <token>'

Requires the role moderator or admin.

Not available with access tokens.

status
string
Allowed values: open actioned rejected

Default: open

Up to 200 reports, oldest first

Media typeapplication/json
object
reports
required
Array<object>
object
id
required
string
category
required
string
explanation
required
string
reporterName
required
string
status
required
string
createdAt
required

Unix time in milliseconds

integer format: int64
resource
required
string
version
required
string
blocked
required
integer

Example generated

{
"reports": [
{
"id": "example",
"category": "example",
"explanation": "example",
"reporterName": "example",
"status": "example",
"createdAt": 1,
"resource": "example",
"version": "example",
"blocked": 1
}
]
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: forbidden, token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback